apiVersion: v1
kind: Pod
metadata:
  labels:
    run: pod-config2
  name: pod-config2
spec:
  containers:
  - image: nginx
    name: pod-config2
    envFrom: # จาก env เป็น envFrom
    - configMapRef: # นำค่าจาก ConfigMap
        name: first-config # ชื่อของ ConfigMap
    resources: {}
  dnsPolicy: ClusterFirst
  restartPolicy: Always
